summaryrefslogtreecommitdiff
path: root/tests/mv/mv-special-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-05-11 03:26:40 +0000
committerJim Meyering <jim@meyering.net>1998-05-11 03:26:40 +0000
commitd816bb4f14b3186451105f1afd311e1938d1d74e (patch)
tree0935e9458d07fe12383cbf17f2ce0c66bcdf07cb /tests/mv/mv-special-1
parentce60ef7400445745e8019c9b89092638d83efde3 (diff)
downloadcoreutils-d816bb4f14b3186451105f1afd311e1938d1d74e.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/mv/mv-special-1')
-rwxr-xr-xtests/mv/mv-special-14
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/mv/mv-special-1 b/tests/mv/mv-special-1
index bf11f9bd9..0a86a1d81 100755
--- a/tests/mv/mv-special-1
+++ b/tests/mv/mv-special-1
@@ -33,6 +33,10 @@ $MV $null $dir $other_partition_tmpdir || fail=1
# Make sure the files are gone.
test -f $null && fail=1
test -d $dir && fail=1
+# Make sure they were moved.
+# Since `test -e' is not portable, use `ls'.
+$LS $other_partition_tmpdir/$null > /dev/null || fail=1
+test -d $other_partition_tmpdir/$dir/a/b/c || fail=1
# cd $other_partition_tmpdir
# $LS -l -A -R $other_partition_tmpdir